
# react-native-vie-on-extensions

## Getting started

`$ npm install react-native-vie-on-extensions --save`

### Mostly automatic installation

`$ react-native link react-native-vie-on-extensions`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-vie-on-extensions` and add `RNVieOnExtensions.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNVieOnExtensions.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import vieon.reactlibrary.extensions.RNVieOnExtensionsPackage;` to the imports at the top of the file
  - Add `new RNVieOnExtensionsPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-vie-on-extensions'
  	project(':react-native-vie-on-extensions').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-vie-on-extensions/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-vie-on-extensions')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNVieOnExtensions.sln` in `node_modules/react-native-vie-on-extensions/windows/RNVieOnExtensions.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Vie.On.Extensions.RNVieOnExtensions;` to the usings at the top of the file
  - Add `new RNVieOnExtensionsPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNVieOnExtensions from 'react-native-vie-on-extensions';

// TODO: What to do with the module?
RNVieOnExtensions;
```
  