package vieon.reactlibrary.extensions;

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.JavaScriptModule;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import vieon.reactlibrary.extensions.auto_start.RNAutoStartHelperModule;
import vieon.reactlibrary.extensions.display.RNDisplayModule;
import vieon.reactlibrary.extensions.setting.RNSystemSettingModule;

public class RNVieOnExtensionsPackage implements ReactPackage {
  @Override public List<NativeModule> createNativeModules(ReactApplicationContext reactContext) {
    return Arrays.<NativeModule>asList(new RNAutoStartHelperModule(reactContext),
        new RNDisplayModule(reactContext), new RNSystemSettingModule(reactContext));
  }

  // Deprecated from RN 0.47
  public List<Class<? extends JavaScriptModule>> createJSModules() {
    return Collections.emptyList();
  }

  @Override public List<ViewManager> createViewManagers(ReactApplicationContext reactContext) {
    return Collections.emptyList();
  }
}